error: Can't load uri https://flathub.org/repo/flathub.flatpakrepo: Server returned status 407: Proxy Authentication Required

When we install and setup Flatpak, while adding the Flathub repository, this error message is display :

error: Can’t load uri https://flathub.org/repo/flathub.flatpakrepo: Server returned status 407: Proxy Authentication Required

Steps to reproduce at https://github.com/flatpak/flatpak/issues/5141